<%
  @filter = params[:filter]
  new_filter = params[:new_filter]
  
  if @filter && params[:clear]
    @filter.delete(params[:type])
  elsif @filter && new_filter
    if @filter.has_key?(new_filter[:type]) && @filter[new_filter[:type]].include?(new_filter[:id].to_s)
      @filter[new_filter[:type]].delete(new_filter[:id].to_s)
    elsif @filter.has_key?(new_filter[:type])
      @filter[new_filter[:type]] << new_filter[:id].to_s
    else
      @filter.merge!({new_filter[:type] => [new_filter[:id].to_s]})
    end
  elsif new_filter
    @filter = {new_filter[:type] => [new_filter[:id].to_s]}
  end


  if @user
    @researchs = Research.where(:create_user_id => @user.id).page(params[:page]).per(10)
  else
    @researchs = Research.all.page(params[:page]).per(10)
  end

%>

<table class="table main-list">
	<thead>
		<tr>
			<th class="span1"><%= t('research.publish_date') %></th>
			<th class="span3"><%= t('research.title') %></th>
		</tr>
	</thead>
	<tbody id="tbody_researchs" class="sort-holder">
		
		
	<% @researchs.each do |research| %>	
			
	<tr id="<%= dom_id research %>" class="with_action">
		<td><%= research.publish_date.strftime("%Y.%m") %></td>
		<td>
		<%= link_to research.research_title, panel_personal_research_front_end_research_path(research) %>
		</td>
	</tr>		
		
	<% end %>	
		
		
	</tbody>
</table>

<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_research_back_end_research_path(:user_id => @user.id), :class => 'btn btn-primary pull-right' %>


<div class="form-actions form-fixed pagination-right">
	<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_research_plugin_research_path, :class => 'btn btn-primary pull-right' %>
	<div id="research_pagination" class="paginationFixed">
	<%= paginate @researchs, :params => {:direction => params[:direction], :sort => params[:sort], :filter => @filter, :new_filter => nil} %>
	</div>
</div>
